%define		mozver 3.5
%define         mozilla_plugin_dir /usr/lib/firefox-%{mozver}/plugins
%define         mozilla_component_dir /usr/lib/firefox-%{mozver}/components
%define 	mozilla_dir /usr/lib/firefox-%{mozver}
%define		mozilla_chrome_dir /usr/lib/firefox-%{mozver}/chrome
%define         config_dir /etc
Summary: 	Mime.Types - Audio/Video etc handling.
Name: 		mime.types
Version: 	1.4
Release: 	27
Copyright: 	GPL
Group: 		Multimedia
Source0: 	http://www.ibiblio.org/pub/linux/distributions/peanut/current/pkgs/SRPMS/%{name}-%{version}.tar.bz2
Source1:	http://www.webfreetv.com/linux/wftv.tar.bz2
Source2:	mplayerplug-in.tar.bz2
Source3:	mplayerplug-in.tar.gz
Source4:	plugger-5.1.3.tar.gz
Source5:	mplayerplug-in.types
Source6:	mplayerplug-in.conf
Source7:	mplayer.conf
Source8:	extra-plugins.tar.bz2
Patch0: 	plugger.diff
Patch1:         plugin-setup.cpp.diff
Patch2:         plugin-ui.cpp.diff
Patch3:		plugin.cpp.diff
Patch4:		plugin-threads.cpp.diff
Patch5:		mplayerplug-in-nls.diff
URL:		http://alinux.tv/
BuildRequires:	firefox-devel
BuildRoot: 	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
cvs -d:pserver:anonymous@mplayerplug-in.cvs.sf.net:/cvsroot/mplayerplug-in co mplayerplug-in

Mailcap / Mime.Types entry for aLinux Professional.
Streaming Multimedia plugin for UNIX Mozilla / Konqueror / Opera, etc ...
Consists of:
/home/defaults.cfg	 (Xitami Web Server Mime)
/root/.mime.types;	 (Admin Root user - editable content)
/etc/skel/.mime.types; 	 (Normal user 	  - editable content)
/etc/pluggerrc-5.1.3; 	 (Plugger helper  -  editable content)
/etc/mailcap;		 (System wide - cannot go into $HOME/.mailcap)
/etc/mime.types;	 (System wide - unused by browser(s))
/etc/mplayer.conf	 (System wide - mplayer tweaks)
/usr/lib/mozilla/plugins/plugger.so (Mozilla, Opera & Konqueror)
/usr/bin/plugger-5.1.3	 (Used by plugger.so - generates ERROR reports)
/usr/man/man7/plugger.7.gz (Plugger Manual - do a "$man plugger" in xterm)

gdk-pixbuf-csource --raw --name=gtk_logo logo.png >gtk_logo.h
firefox -install-global-extension "searchstatus-1.29-fx.xpi"

http://sdc.shockwave.com/shockwave/download/alternates/

Flash Player / Shockwave  Flash v10.0.45.2 Firefox.    .tar.gz
Flash Player / Shockwave  Flash  v9.0.124.0 Konqueror. .tar.gz

%prep
%setup -q
tar xjpf %{SOURCE1} -C .; tar xjpf %{SOURCE2} -C .; tar xzpf %{SOURCE3} -C .; tar xzpf %{SOURCE4} -C .
#patch0 -p0
%patch1 -p0
%patch2 -p0
%patch3 -p0
#patch4 -p0
%patch5 -p0

%build
cd mplayerplug*;
%configure --enable-gtk2;ln -sf /usr/include/mozilla/*.h Source/
make
cd ../plugger*/;%configure;make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/home
mkdir -p $RPM_BUILD_ROOT/%{mozilla_plugin_dir}
mkdir -p $RPM_BUILD_ROOT/%{mozilla_component_dir}
mkdir -p $RPM_BUILD_ROOT/root
mkdir -p $RPM_BUILD_ROOT/etc/skel
mkdir -p $RPM_BUILD_ROOT/usr/man/man7
#cd plugger*/; make prefix=$RPM_BUILD_ROOT/usr install; mv plugger.so $RPM_BUILD_ROOT/%{mozilla_plugin_dir}/; mv $RPM_BUILD_ROOT/usr/bin/bin $RPM_BUILD_ROOT/usr/bin/plugger-5.1.3; cd -
#rm $RPM_BUILD_ROOT/etc/pluggerrc*
#rm -R $RPM_BUILD_ROOT/usr/lib/mozilla
#cp pluggerrc $RPM_BUILD_ROOT/etc/pluggerrc-5.1.3
cp .mailcap .mime.types $RPM_BUILD_ROOT/etc/skel
cp .mailcap .mime.types $RPM_BUILD_ROOT/root
cp mailcap mime.types $RPM_BUILD_ROOT/etc
cp defaults.cfg $RPM_BUILD_ROOT/home
#cd wftv/Unix; make clean; make; cp *.so $RPM_BUILD_ROOT/%{mozilla_plugin_dir}; cd ../../mplayerplug-in
#%{__install} -m755 *.so $RPM_BUILD_ROOT/%{mozilla_plugin_dir}
#%{__install} -m644 *.xpt $RPM_BUILD_ROOT/%{mozilla_component_dir}
#%{__install} -m644 mplayerplug-in.types $RPM_BUILD_ROOT/%{_sysconfdir}
#%{__install} -m644 mplayerplug-in.conf $RPM_BUILD_ROOT/%{_sysconfdir}
#cp %{SOURCE5} %{SOURCE6} %{SOURCE7} $RPM_BUILD_ROOT/%{_sysconfdir}
tar xjpf %{SOURCE8} -C $RPM_BUILD_ROOT
#cd $RPM_BUILD_ROOT/%{mozilla_plugin_dir}; ln -sf ../components/*.xpt .

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{mozilla_plugin_dir}
#%{mozilla_chrome_dir}
#%{mozilla_component_dir}
#%{_libdir}/firefox-%{mozver}/extensions
%{_sysconfdir}/skel
%{_sysconfdir}/mailcap
%{_sysconfdir}/mime.types
#%{_sysconfdir}/mplay*
#%{_sysconfdir}/plugg*
#%{_bindir}
#%{_mandir}
/home
/root
/opt

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %date - linuxkid alinux@alinux.tv
- initial firefox mime release.
- March 01 2010 Flash update.
- March 22 2010 Firefox 3.5 update.